/* this file is part of criawips, a gnome presentation application
 *
 * AUTHORS
 *       Sven Herzberg        <herzi@gnome-de.org>
 *
 * Copyright (C) 2004,2005 Sven Herzberg
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

#ifndef CRIAWIPS_BLOCK_RENDERER_PRIVATE_H
#define CRIAWIPS_BLOCK_RENDERER_PRIVATE_H

#include <rendering/cria-block-renderer.h>

struct _CriaBlockRenderer {
#ifdef WITH_CCC
	CcNode           parent_node;
#else
	CriaItem	 base_instance;
	GnomeCanvasItem* text_item;
	GnomeCanvasItem* border;
	GnomeCanvasItem* caret;
#endif
	CriaBlock      * block;
	gboolean         caret_visible;
	guint		 caret_timeout;
	gulong           default_font_changed_handler;
};

struct _CriaBlockRendererClass {
#ifdef WITH_CCC
	CcNodeClass  parent_node_class;
#else
	CriaItemClass  base_class;
#endif

	/* signals */
	void (*signal)	       (CriaBlockRenderer	* self,
				const	gchar	* string);
};

#endif /* !CRIAWIPS_BLOCK_RENDERER_PRIVATE_H */
